<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Fragment](./bitburner.fragment.md)

## Fragment interface


**Signature:**

```typescript
interface Fragment 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[effect](./bitburner.fragment.effect.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[id](./bitburner.fragment.id.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[limit](./bitburner.fragment.limit.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[power](./bitburner.fragment.power.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[shape](./bitburner.fragment.shape.md)


</td><td>


</td><td>

boolean\[\]\[\]


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.fragment.type.md)


</td><td>


</td><td>

[FragmentType](./bitburner.fragmenttype.md)


</td><td>


</td></tr>
</tbody></table>

